/*
 * 05/28/2003
 *
 * error.cpp
 * Author: Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "error.h"

// Fichier contenant les informations d'erreurs
static FILE *g_errorLog;								// The File For Error Logging


// ===============================
// Initialise le fichier d'erreurs
// ===============================
bool initErrorLog(void)
{
	if(!(g_errorLog = fopen(LOG_FILE, "w")))
	{
		perror("Can't init Logfile!\n" );
		exit(1);
	}

	log("%s -- Log Init...\n", APP_NAME);

	return true;
}


// ==========================
// Ferme le fichier d'erreurs
// ==========================
void closeErrorLog(void)
{
	log("-- Closing Log...\n");

	if(g_errorLog)
	{
		fclose(g_errorLog);
	}

	return;
}


// ==============================================================
// Ajoute une ligne au fichier d'erreur
// Cette fonction utilise le meme format que la fonction printf()
// ==============================================================
int log(char *szFormat, ...)
{
	va_list arg;

	va_start(arg,szFormat);

	if(g_errorLog)
	{
		vfprintf(g_errorLog, szFormat, arg);
		fflush(g_errorLog);
	}

	va_end(arg);

	return 0;
}

