/*
 * 05/28/2003
 *
 * global.h
 * Constantes ou macros
 *
 * Author: Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _GLOBAL_H
#define _GLOBAL_H

// ==========================================
// Definitions de constantes et macros utiles
// ==========================================

// Nom de l'application
#define APP_NAME "SolarSys"

// Version
#define RELEASE "1.0"

// Build
#define BUILD "b030513"

// Site Web
#define WEB "http://www.yeri.fr.st"

// Mode debug
#define DEBUG_MODE 0

// Fichier "log"
#define LOG_FILE "log.txt"

// Repertoire des Graphics
#define GFX_DIR "data/"

// Code ASCII de la touche escape
const unsigned char ESC = 27;

// Activation du mip-mapping
#define MIPMAPPING true

// Constante PI
#ifndef M_PI
#define M_PI 3.14159265359879
#endif

// Min et Max
#define MIN(a, b)  (((a) < (b)) ? (a) : (b))
#define MAX(a, b)  (((a) > (b)) ? (b) : (a))

// Macro permettant de convertir des radians en degres
#define RADTODEG(A) ((float)((float)(A * 180.0) / M_PI))
// Macro permettant de convertir des degres en radians
#define DEGTORAD(A) ((float)((float)(A * M_PI) / 180.0))

#endif

