/*
 * 05/28/2003
 *
 * initGLUT.h
 * Fonctions permettant l'initialisation d'OpenGL et de GLUT
 *
 * Author: Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _INITGLUT_H
#define _INITGLUT_H

#include "main.h"

// ======================================================
// Initialisation de GLUT
// (la fenetre, les fonctions callbacks, parametres GLUT)
// ======================================================
void initGLUT(void);

// ========================
// Initialisation de OpenGL
// ========================
void initOpenGL(void);

// ===============================
// Redimensionnement de la fentre
// ===============================
void glutReshape(int w, int h);

// =========================================================
// Permet de passer en mode plein ecran ou en mode fenetre
// Utilise GLUT_GAME_MODE disponible uniquement sous Windows
// =========================================================
#ifdef _WIN32
void askFullscreen(void);
#endif

// ====================
// Quitte l'application
// ====================
void terminateApplication(void);


#endif

